net.i2p.sam

## Class SAMv2StreamSession.StreamConnector

- java.lang.Object
- - net.i2p.sam.SAMv2StreamSession.StreamConnector

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    SAMv2StreamSession

      public class SAMv2StreamSession.StreamConnector
      extends Object
      implements Runnable

  SAM STREAM socket connecter, running in its own thread.
  Author:
    mkvore

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMv2StreamSession.StreamConnector(int id, Destination dest, I2PSocketOptions opts)` Create a new SAM STREAM session socket reader

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAMv2StreamSession.StreamConnector

          public SAMv2StreamSession.StreamConnector(int id,
                                            Destination dest,
                                            I2PSocketOptions opts)

      Create a new SAM STREAM session socket reader
      Parameters:
        `id` - Unique id assigned to the handler
        `dest` - Destination to reach
        `opts` - Socket options (I2PSocketOptions)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`